export interface ShipmentTrackingVO {
  /**
   * 主键ID
   */
  id: string | number;

  /**
   * 关联货件ID
   */
  shipmentId: string | number;

  /**
   * 箱号
   */
  boxId: string | number;

  /**
   * 物流单号
   */
  trackingNumber: string;

}

export interface ShipmentTrackingForm extends BaseEntity {
  /**
   * 主键ID
   */
  id?: string | number;

  /**
   * 关联货件ID
   */
  shipmentId?: string | number;

  /**
   * 箱号
   */
  boxId?: string | number;

  /**
   * 物流单号
   */
  trackingNumber?: string;

}

export interface ShipmentTrackingQuery extends PageQuery {

  /**
   * 关联货件ID
   */
  shipmentId?: string | number;

  /**
   * 箱号
   */
  boxId?: string | number;

  /**
   * 物流单号
   */
  trackingNumber?: string;

    /**
     * 日期范围参数
     */
    params?: any;
}



